package com.template.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.pojo.SmartDataClass;
import com.template.model.result.PageUtils;

import java.util.Map;

/**
 * <p>
 * 数据源类别 服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-12-05
 */
public interface SmartDataClassService extends IService<SmartDataClass> {
    int insertSmartDataClass(SmartDataClass smartDataClass);

    int updateSmartDataClass(SmartDataClass smartDataClass);

    PageUtils<SmartDataClass> queryPageSmartDataClasss(int currentPage, int pageCount, String name);

    int deleteSmartDataClassById(int id);

    SmartDataClass getSmartById(int id);
}
